%global appname org.gnome.Characters

Name:		gnome-characters
Version:	3.16.2
Release:	1%{?dist}
Summary:	Character map application for GNOME
# Files from gtk-js-app are licensed under 3-clause BSD.
# Other files are GPL 2.0 or later.
License:	BSD and GPLv2+
URL:		https://wiki.gnome.org/Design/Apps/CharacterMap
Source0:	https://download.gnome.org/sources/gnome-characters/3.16/%{name}-%{version}.tar.xz

# This package uses GtkWidget template, which was added in Gjs 1.43.3.
BuildRequires:	gjs-devel >= 1.43.3, gtk3-devel, intltool, desktop-file-utils
BuildRequires:	libappstream-glib, gobject-introspection-devel
Requires:	gjs >= 1.43.3

# This package contains libunistring modules from Gnulib.  If a recent
# enough version of libunistring is installed on the system, it will
# be used instead.  However, as of today, the libunistring package in
# F22 is older and we try to avoid unnecessary dependency.

# BuildRequires:	   libunistring-devel
Provides:	bundled(gnulib)

%description
Characters is a simple utility application to find and insert unusual
characters.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%find_lang %{appname}

%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{appname}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{appname}.lang
%doc NEWS README
%license COPYING COPYINGv2
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/%{appname}.BackgroundService.service
%{_datadir}/icons/gnome/scalable/categories/characters*.svg
%{_datadir}/appdata/%{appname}.appdata.xml
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{appname}
%{_datadir}/gnome-shell/search-providers/%{appname}.search-provider.ini
%{_libdir}/%{appname}


%changelog
* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2-1
- Update to 3.16.2

* Tue Apr 14 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1

* Mon Mar 23 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Daiki Ueno <dueno@redhat.com> - 3.15.92-1
- Initial packaging for Fedora
